This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 92670 - Fixed height of combo-boxes in New Locale dialog
Summary: Fixed height of combo-boxes in New Locale dialog
Status: RESOLVED FIXED
Alias: None
Product: utilities
Classification: Unclassified
Component: Properties (show other bugs)
Version: 6.x
Hardware: All All
: P3 blocker (vote)
Assignee: Marian Petras
URL:
Keywords: A11Y, REGRESSION, SIMPLEFIX
Depends on:
Blocks:
 
Reported: 2007-01-17 10:02 UTC by Marian Petras
Modified: 2007-03-12 13:46 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Petras 2007-01-17 10:02:31 UTC
The "New Locale" dialog contains three combo-boxes. These combo-boxes have fixed
height, i.e. the height is always the same, regardless of the font size. This is
an accessibility bug.

To invoke the "New Locale" dialog, right-click on a resource bundle node and
select action "Add Locale...".
Comment 1 Marian Petras 2007-01-17 10:04:12 UTC
This bug was introduced on 21 April 2006 when LocalePanel.java+LocalePanel.form
were rewritten to use the new GroupLayout.
Comment 2 Tomas Pavek 2007-01-17 10:23:39 UTC
Good catch. Fixed height would be fine, but it is mainly an absolute number 
(20). Perhaps result of automatic conversion from GridBagLayout.

Can be fixed easily: Select the combo boxes, go to the Layout properties and 
set Vertical Size to Default.
Comment 3 Marian Petras 2007-03-12 13:46:22 UTC
Fixed in the trunk.

Modified files:
   properties/src/org/netbeans/modules/properties/LocalePanel.java   (1.19)
   properties/src/org/netbeans/modules/properties/LocalePanel.form   (1.10)

Diffs:
http://properties.netbeans.org/source/browse/properties/src/org/netbeans/modules/properties/LocalePanel.java?r1=1.18&r2=1.19&diff_format=u
http://properties.netbeans.org/source/browse/properties/src/org/netbeans/modules/properties/LocalePanel.form?r1=1.9&r2=1.10&diff_format=u